## org.eclipse.emf.ant.taskdefs.codegen.ecore
Class GeneratorTask.ModelLocation

    java.lang.Object
      org.eclipse.emf.ant.taskdefs.codegen.ecore.GeneratorTask.ModelLocation

Enclosing class:
  GeneratorTask

    public static class GeneratorTask.ModelLocation

extends java.lang.Object

Constructor Summary
`GeneratorTask.ModelLocation()`

Method Summary
`java.io.File` `getFile()`
`java.lang.String` `getUri()`
`void` `setFile(java.io.File file)`
`void` `setUri(java.lang.String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneratorTask.ModelLocation

    public GeneratorTask.ModelLocation()

Method Detail

### getFile

    public java.io.File getFile()

### setFile

    public void setFile(java.io.File file)

### getUri

    public java.lang.String getUri()

### setUri

    public void setUri(java.lang.String uri)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.